import { RawMessageType } from '../app';
import { PersonaMessage } from './use-engine-connection-factory';
export declare function constructEngineConnectionString({ engineConnectionValue, applicationValue, locale, }: {
    engineConnectionValue: string | undefined;
    applicationValue: string | undefined;
    locale: string;
}): string;
export declare const ensureIsCommand: (message: string | null) => boolean;
export declare const ensureIsCommandTranscript: (message: string | null) => boolean;
export declare const ensureIsCommandExit: (message: string | null) => boolean;
export declare const ensureIsCommandIntro: (message: string | null) => boolean;
export declare const ensureIsCommandMemory: (message: string | null) => boolean;
export declare const ensureIsCommandSessionShouldEnd: (message: string | null) => boolean;
export declare const ensureIsCommandOutputItem: (message: string | null) => boolean;
export declare const ensureIsCommandPersona: (message: string | null) => boolean;
export declare const ensureCorrectEndingOfUserInput: (userInputString: string) => string;
export declare const sanitizeTranscriptMessage: (userInputTranscript: string) => string;
export declare const sanitizeOutputItemMessage: (outputItem: string) => string;
export declare const sanitizeMessageList: (messageList: RawMessageType[]) => RawMessageType[];
export declare const sanitizePersonaMessage: (personaMessage: string) => PersonaMessage;
