import { UnityContextHook } from 'react-unity-webgl/distribution/types/unity-context-hook';
export type UseHandleAudioStateProps = {
    onOpenRef: React.MutableRefObject<() => void>;
    onCloseRef: React.MutableRefObject<() => void>;
    audioContextRef: React.MutableRefObject<AudioContext> | undefined;
    unityArcContext: UnityContextHook;
    audioBufferSourceNodeRef: React.MutableRefObject<AudioBufferSourceNode | undefined> | undefined;
};
export declare const useHandleAudioState: ({ audioBufferSourceNodeRef, audioContextRef, onCloseRef, onOpenRef, unityArcContext, }: UseHandleAudioStateProps) => void;
