import { SendMessage } from '../../use-web-socket';
export type UseProcessMicrophoneInputProps = {
    sendMessage: SendMessage;
    isConnected: boolean;
    micValue: boolean;
};
export declare const useProcessMicrophoneInput: ({ sendMessage, micValue, }: UseProcessMicrophoneInputProps) => {
    audioStream: MediaStream | undefined;
    analyzerData: {
        analyzer: AnalyserNode | null;
        bufferLength: number;
        dataArray: Uint8Array;
    };
};
