import { UseEngineConnectionFactory } from '../../api/use-engine-connection-factory';
type ChatPageProps = Pick<UseEngineConnectionFactory, 'sendMessage' | 'messages' | 'lastMessage' | 'persona'> & {
    analyzerData: {
        dataArray: Uint8Array;
        bufferLength: number;
        analyzer: AnalyserNode | null;
    };
};
export declare const ChatComponent: ({ sendMessage, messages, lastMessage, persona, analyzerData, }: ChatPageProps) => import("react/jsx-runtime").JSX.Element;
export {};
