export type ArcSourceAssetType = {
    item: {
        name: string;
        ref: string;
        revision: number;
    };
};
export declare enum ArcObject {
    AudioManager = "AudioManager",
    PersonaManager = "PersonaManager"
}
export declare enum ArcEvent {
    MessageReceived = "onMessageReceived",
    SetPersona = "setPersona"
}
export declare enum ArcMessage {
    AudioEnded = "audioEnded",
    AudioStarted = "audioStarted",
    SceneLoaded = "sceneLoaded",
    AvatarLoaded = "avatarLoaded",
    AssetsFetchRequired = "assetsFetchRequired",
    AssetsFetchFinished = "assetsFetchFinished",
    AssetsFetchFailed = "assetsFetchFailed",
    PlayAudio = "playAudio"
}
