import { MutableRefObject } from 'react';
import { ReadyState } from './constants';
import { Options, SendMessage, WebSocketLike } from './types';
export declare const createOrJoinSocket: (webSocketRef: MutableRefObject<WebSocketLike | null>, url: string, setReadyState: (readyState: ReadyState) => void, optionsRef: MutableRefObject<Options>, setLastMessage: (message: WebSocketEventMap["message"]) => void, startRef: MutableRefObject<() => void>, reconnectCount: MutableRefObject<number>, sendMessage: SendMessage) => (() => void);
